libzypp: zypp::media::TransferSettings Class Reference

libzypp 17.25.10

Classes | Public Types | Public Member Functions | Protected Attributes | List of all members
zypp::media::TransferSettings Class Reference

Holds transfer setting. More...

`#include <TransferSettings.h>`

## Classes
class | Impl

## Public Types
typedef std::vector< std::string > | Headers

## Public Member Functions
| TransferSettings ()
| Constructs a transfer program cmd line access. More...
void | reset ()
| reset the settings to the defaults More...
void | addHeader (std::string &&val_r)
| add a header, on the form "Foo: Bar" More...
Headers::const_iterator | headersBegin () const
| begin iterators to additional headers More...
Headers::const_iterator | headersEnd () const
| end iterators to additional headers More...
void | setUserAgentString (std::string &&val_r)
| sets the user agent ie: "Mozilla v3" More...
std::string | userAgentString () const
| user agent string More...
void | setUsername (std::string &&val_r)
| sets the auth username More...
std::string | username () const
| auth username More...
void | setPassword (std::string &&val_r)
| sets the auth password More...
std::string | password () const
| auth password More...
std::string | userPassword () const
| returns the user and password as a user:pass string More...
void | setAnonymousAuth ()
| sets anonymous authentication (ie: for ftp) More...
void | setProxyEnabled (bool enabled)
| whether the proxy is used or not More...
bool | proxyEnabled () const
| proxy is enabled More...
void | setProxy (std::string &&val_r)
| proxy to use if it is enabled More...
std::string | proxy () const
| proxy host More...
void | setProxyUsername (std::string &&val_r)
| sets the proxy user More...
std::string | proxyUsername () const
| proxy auth username More...
void | setProxyPassword (std::string &&val_r)
| sets the proxy password More...
std::string | proxyPassword () const
| proxy auth password More...
std::string | proxyUserPassword () const
| returns the proxy user and password as a user:pass string More...
void | setConnectTimeout (long t)
| set the connect timeout More...
long | connectTimeout () const
| connection timeout More...
void | setTimeout (long t)
| set the transfer timeout More...
long | timeout () const
| transfer timeout More...
void | setMaxConcurrentConnections (long v)
| Set maximum number of concurrent connections for a single transfer. More...
long | maxConcurrentConnections () const
| Maximum number of concurrent connections for a single transfer. More...
void | setMinDownloadSpeed (long v)
| Set minimum download speed (bytes per second) until the connection is dropped. More...
long | minDownloadSpeed () const
| Minimum download speed (bytes per second) until the connection is dropped. More...
void | setMaxDownloadSpeed (long v)
| Set max download speed (bytes per second) More...
long | maxDownloadSpeed () const
| Maximum download speed (bytes per second) More...
void | setMaxSilentTries (long v)
| Set maximum silent retries. More...
long | maxSilentTries () const
| Maximum silent retries. More...
void | setVerifyHostEnabled (bool enabled)
| Sets whether to verify host for ssl. More...
bool | verifyHostEnabled () const
| Whether to verify host for ssl. More...
void | setVerifyPeerEnabled (bool enabled)
| Sets whether to verify host for ssl. More...
bool | verifyPeerEnabled () const
| Whether to verify peer for ssl. More...
void | setCertificateAuthoritiesPath (Pathname &&val_r)
| Sets the SSL certificate authorities path. More...
Pathname | certificateAuthoritiesPath () const
| SSL certificate authorities path ( default: /etc/ssl/certs ) More...
void | setAuthType (std::string &&val_r)
| set the allowed authentication types More...
std::string | authType () const
| get the allowed authentication types More...
void | setHeadRequestsAllowed (bool allowed)
| set whether HEAD requests are allowed More...
bool | headRequestsAllowed () const
| whether HEAD requests are allowed More...
void | setClientCertificatePath (Pathname &&val_r)
| Sets the SSL client certificate file. More...
Pathname | clientCertificatePath () const
| SSL client certificate file. More...
void | setClientKeyPath (Pathname &&val_r)
| Sets the SSL client key file. More...
Pathname | clientKeyPath () const
| SSL client key file. More...

## Protected Attributes
RWCOW_pointer< Impl > | _impl

## Detailed Description

Holds transfer setting.

Definition at line 20 of file TransferSettings.h.

## Member Typedef Documentation

## ◆ Headers

typedef std::vector<std::string> zypp::media::TransferSettings::Headers

Definition at line 26 of file TransferSettings.h.

## Constructor & Destructor Documentation

## ◆ TransferSettings()

zypp::media::TransferSettings::TransferSettings | ( |  | ) |

Constructs a transfer program cmd line access.

Definition at line 84 of file TransferSettings.cc.

## Member Function Documentation

## ◆ reset()

void zypp::media::TransferSettings::reset | ( |  | ) |

reset the settings to the defaults

Definition at line 88 of file TransferSettings.cc.

## ◆ addHeader()

void zypp::media::TransferSettings::addHeader | ( | std::string && | val_r | ) |

add a header, on the form "Foo: Bar"

Definition at line 92 of file TransferSettings.cc.

## ◆ headersBegin()

TransferSettings::Headers::const_iterator zypp::media::TransferSettings::headersBegin | ( |  | ) | const

begin iterators to additional headers

Definition at line 95 of file TransferSettings.cc.

## ◆ headersEnd()

TransferSettings::Headers::const_iterator zypp::media::TransferSettings::headersEnd | ( |  | ) | const

end iterators to additional headers

Definition at line 98 of file TransferSettings.cc.

## ◆ setUserAgentString()

void zypp::media::TransferSettings::setUserAgentString | ( | std::string && | val_r | ) |

sets the user agent ie: "Mozilla v3"

Definition at line 102 of file TransferSettings.cc.

## ◆ userAgentString()

std::string zypp::media::TransferSettings::userAgentString | ( |  | ) | const

user agent string

Definition at line 105 of file TransferSettings.cc.

## ◆ setUsername()

void zypp::media::TransferSettings::setUsername | ( | std::string && | val_r | ) |

sets the auth username

Definition at line 109 of file TransferSettings.cc.

## ◆ username()

std::string zypp::media::TransferSettings::username | ( |  | ) | const

auth username

Definition at line 112 of file TransferSettings.cc.

## ◆ setPassword()

void zypp::media::TransferSettings::setPassword | ( | std::string && | val_r | ) |

sets the auth password

Definition at line 115 of file TransferSettings.cc.

## ◆ password()

std::string zypp::media::TransferSettings::password | ( |  | ) | const

auth password

Definition at line 118 of file TransferSettings.cc.

## ◆ userPassword()

std::string zypp::media::TransferSettings::userPassword | ( |  | ) | const

returns the user and password as a user:pass string

Definition at line 121 of file TransferSettings.cc.

## ◆ setAnonymousAuth()

void zypp::media::TransferSettings::setAnonymousAuth | ( |  | ) |

sets anonymous authentication (ie: for ftp)

Definition at line 130 of file TransferSettings.cc.

## ◆ setProxyEnabled()

void zypp::media::TransferSettings::setProxyEnabled | ( | bool | enabled | ) |

whether the proxy is used or not

Definition at line 137 of file TransferSettings.cc.

## ◆ proxyEnabled()

bool zypp::media::TransferSettings::proxyEnabled | ( |  | ) | const

proxy is enabled

Definition at line 140 of file TransferSettings.cc.

## ◆ setProxy()

void zypp::media::TransferSettings::setProxy | ( | std::string && | val_r | ) |

proxy to use if it is enabled

Definition at line 144 of file TransferSettings.cc.

## ◆ proxy()

std::string zypp::media::TransferSettings::proxy | ( |  | ) | const

proxy host

Definition at line 147 of file TransferSettings.cc.

## ◆ setProxyUsername()

void zypp::media::TransferSettings::setProxyUsername | ( | std::string && | val_r | ) |

sets the proxy user

Definition at line 151 of file TransferSettings.cc.

## ◆ proxyUsername()

std::string zypp::media::TransferSettings::proxyUsername | ( |  | ) | const

proxy auth username

Definition at line 154 of file TransferSettings.cc.

## ◆ setProxyPassword()

void zypp::media::TransferSettings::setProxyPassword | ( | std::string && | val_r | ) |

sets the proxy password

Definition at line 157 of file TransferSettings.cc.

## ◆ proxyPassword()

std::string zypp::media::TransferSettings::proxyPassword | ( |  | ) | const

proxy auth password

Definition at line 160 of file TransferSettings.cc.

## ◆ proxyUserPassword()

std::string zypp::media::TransferSettings::proxyUserPassword | ( |  | ) | const

returns the proxy user and password as a user:pass string

Definition at line 163 of file TransferSettings.cc.

## ◆ setConnectTimeout()

void zypp::media::TransferSettings::setConnectTimeout | ( | long | t | ) |

set the connect timeout

Definition at line 180 of file TransferSettings.cc.

## ◆ connectTimeout()

long zypp::media::TransferSettings::connectTimeout | ( |  | ) | const

connection timeout

Definition at line 183 of file TransferSettings.cc.

## ◆ setTimeout()

void zypp::media::TransferSettings::setTimeout | ( | long | t | ) |

set the transfer timeout

Definition at line 173 of file TransferSettings.cc.

## ◆ timeout()

long zypp::media::TransferSettings::timeout | ( |  | ) | const

transfer timeout

Definition at line 176 of file TransferSettings.cc.

## ◆ setMaxConcurrentConnections()

void zypp::media::TransferSettings::setMaxConcurrentConnections | ( | long | v | ) |

Set maximum number of concurrent connections for a single transfer.

Definition at line 187 of file TransferSettings.cc.

## ◆ maxConcurrentConnections()

long zypp::media::TransferSettings::maxConcurrentConnections | ( |  | ) | const

Maximum number of concurrent connections for a single transfer.

Definition at line 190 of file TransferSettings.cc.

## ◆ setMinDownloadSpeed()

void zypp::media::TransferSettings::setMinDownloadSpeed | ( | long | v | ) |

Set minimum download speed (bytes per second) until the connection is dropped.

Definition at line 194 of file TransferSettings.cc.

## ◆ minDownloadSpeed()

long zypp::media::TransferSettings::minDownloadSpeed | ( |  | ) | const

Minimum download speed (bytes per second) until the connection is dropped.

Definition at line 197 of file TransferSettings.cc.

## ◆ setMaxDownloadSpeed()

void zypp::media::TransferSettings::setMaxDownloadSpeed | ( | long | v | ) |

Set max download speed (bytes per second)

Definition at line 201 of file TransferSettings.cc.

## ◆ maxDownloadSpeed()

long zypp::media::TransferSettings::maxDownloadSpeed | ( |  | ) | const

Maximum download speed (bytes per second)

Definition at line 204 of file TransferSettings.cc.

## ◆ setMaxSilentTries()

void zypp::media::TransferSettings::setMaxSilentTries | ( | long | v | ) |

Set maximum silent retries.

Definition at line 208 of file TransferSettings.cc.

## ◆ maxSilentTries()

long zypp::media::TransferSettings::maxSilentTries | ( |  | ) | const

Maximum silent retries.

Definition at line 211 of file TransferSettings.cc.

## ◆ setVerifyHostEnabled()

void zypp::media::TransferSettings::setVerifyHostEnabled | ( | bool | enabled | ) |

Sets whether to verify host for ssl.

Definition at line 215 of file TransferSettings.cc.

## ◆ verifyHostEnabled()

bool zypp::media::TransferSettings::verifyHostEnabled | ( |  | ) | const

Whether to verify host for ssl.

Definition at line 218 of file TransferSettings.cc.

## ◆ setVerifyPeerEnabled()

void zypp::media::TransferSettings::setVerifyPeerEnabled | ( | bool | enabled | ) |

Sets whether to verify host for ssl.

Definition at line 222 of file TransferSettings.cc.

## ◆ verifyPeerEnabled()

bool zypp::media::TransferSettings::verifyPeerEnabled | ( |  | ) | const

Whether to verify peer for ssl.

Definition at line 225 of file TransferSettings.cc.

## ◆ setCertificateAuthoritiesPath()

void zypp::media::TransferSettings::setCertificateAuthoritiesPath | ( | Pathname && | val_r | ) |

Sets the SSL certificate authorities path.

Definition at line 243 of file TransferSettings.cc.

## ◆ certificateAuthoritiesPath()

Pathname zypp::media::TransferSettings::certificateAuthoritiesPath | ( |  | ) | const

SSL certificate authorities path ( default: /etc/ssl/certs )

Definition at line 246 of file TransferSettings.cc.

## ◆ setAuthType()

void zypp::media::TransferSettings::setAuthType | ( | std::string && | val_r | ) |

set the allowed authentication types

Definition at line 250 of file TransferSettings.cc.

## ◆ authType()

std::string zypp::media::TransferSettings::authType | ( |  | ) | const

get the allowed authentication types

Definition at line 253 of file TransferSettings.cc.

## ◆ setHeadRequestsAllowed()

void zypp::media::TransferSettings::setHeadRequestsAllowed | ( | bool | allowed | ) |

set whether HEAD requests are allowed

Definition at line 257 of file TransferSettings.cc.

## ◆ headRequestsAllowed()

bool zypp::media::TransferSettings::headRequestsAllowed | ( |  | ) | const

whether HEAD requests are allowed

Definition at line 260 of file TransferSettings.cc.

## ◆ setClientCertificatePath()

void zypp::media::TransferSettings::setClientCertificatePath | ( | Pathname && | val_r | ) |

Sets the SSL client certificate file.

Definition at line 229 of file TransferSettings.cc.

## ◆ clientCertificatePath()

Pathname zypp::media::TransferSettings::clientCertificatePath | ( |  | ) | const

SSL client certificate file.

Definition at line 232 of file TransferSettings.cc.

## ◆ setClientKeyPath()

void zypp::media::TransferSettings::setClientKeyPath | ( | Pathname && | val_r | ) |

Sets the SSL client key file.

Definition at line 236 of file TransferSettings.cc.

## ◆ clientKeyPath()

Pathname zypp::media::TransferSettings::clientKeyPath | ( |  | ) | const

SSL client key file.

Definition at line 239 of file TransferSettings.cc.

## Member Data Documentation

## ◆ _impl

RWCOW_pointer<Impl> zypp::media::TransferSettings::_impl
| protected

Definition at line 190 of file TransferSettings.h.

The documentation for this class was generated from the following files:

- zypp/media/TransferSettings.h
- zypp/media/TransferSettings.cc